from lunduke.client import DiscourseClient


def main():
    client = DiscourseClient()
    categories = client.get('/categories.json').json()['category_list']
    print(categories)

    try:
        draft_data = {
              "title": "Testing 1 2 3",
              "raw": "This is only a test",
              "category": 15
        }

        response = client.post('/posts.json', data=draft_data)
        print(f"Draft created successfully: {response}")

    except Exception as e:
        print(f"Error creating draft: {e}")


if __name__ == "__main__":
    main()